#!/bin/bash
# poem.sh : affiche joliment un des poèmes préférés de l'auteur du document.

# Lignes d'un poème (simple stanza).
Ligne[1]="I do not know which to prefer,"
Ligne[2]="The beauty of inflections"
Ligne[3]="Or the beauty of innuendoes,"
Ligne[4]="The blackbird whistling"
Ligne[5]="Or just after."

# Attribution.
Attrib[1]=" Wallace Stevens"
Attrib[2]="\"Thirteen Ways of Looking at a Blackbird\""
# Ce poème est dans le domaine public (copyright expiré).

echo

for index in 1 2 3 4 5    # Cinq lignes.
do
  printf "     %s\n" "${Ligne[index]}"
done

for index in 1 2          # Deux lignes.
do
  printf "          %s\n" "${Attrib[index]}"
done

echo

exit 0

# Exercice :
# ---------
# Modifiez ce script pour afficher joliment un poème à partir d'un fichier de
# données au format texte.
